%global debug_package %{nil}

# https://github.com/intel/trustauthority-client-for-go/go-tpm
%global goipath         github.com/intel/trustauthority-client-for-go/go-tpm
Version:                1.9.0

%gometa -f

%global common_description %{expand:
Intel Trust Authority Client for Go provides a set of Go modules and a command
line interface (CLI) for attesting different TEEs with Intel Trust Authority.}

%global golicenses      LICENSE

Name:           golang-github-intel-trustauthority-client-tpm
Release:        %autorelease
Summary:        Intel Trust Authority TPM Adapter for Go

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

ExclusiveArch:	x86_64

# Do not use %%go_generate_buildrequires;
#BuildRequires:	golang(github.com/sirupsen/logrus)
#BuildRequires:	golang(github.com/intel/trustauthority-client/go-connector)

%description %{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

# Do not use test, upstream uses Docker image for testing?
## %%check
## %%gocheck

%gopkgfiles

%changelog
%autochangelog
